org.apache.tools.ant.taskdefs.optional.perforce

## Class SimpleP4OutputHandler

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.perforce.P4HandlerAdapter
  - - org.apache.tools.ant.taskdefs.optional.perforce.SimpleP4OutputHandler

- All Implemented Interfaces:
    ExecuteStreamHandler, P4Handler
  Direct Known Subclasses:
    P4Submit.P4SubmitAdapter

      public class SimpleP4OutputHandler
      extends P4HandlerAdapter

  simple implementation of P4HandlerAdapter used by tasks which are not actually processing the output from Perforce

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleP4OutputHandler(P4Base parent)` simple constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(java.lang.String line)` process one line of stderr/stdout if error conditions are detected, then setters are called on the parent

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4HandlerAdapter

      `setOutput, setProcessErrorStream, setProcessInputStream, setProcessOutputStream, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleP4OutputHandler

          public SimpleP4OutputHandler(P4Base parent)

      simple constructor
      Parameters:
        `parent` - a P4Base instance

  - ### Method Detail

    - #### process

          public void process(java.lang.String line)
                       throws BuildException

      process one line of stderr/stdout if error conditions are detected, then setters are called on the parent
      Specified by:
        `process` in interface `P4Handler`
      Specified by:
        `process` in class `P4HandlerAdapter`
      Parameters:
        `line` - line of output
      Throws:
        `BuildException` - does not throw exceptions any more